package bus.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;;

/**
* @Program: bus
* @Description: 描述
* @Author: bus
* @Date: 2025-02-24 14:39:32
**/
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig {

    @Bean
    public Docket docket() {
        return new Docket(DocumentationType.SWAGGER_2)
                .select()
                .apis(RequestHandlerSelectors.basePackage("bus.controller.biz"))
                .paths(PathSelectors.any())
                .build().apiInfo(new ApiInfoBuilder().title("服务接口文档").version("v1.0").build());
    }

}
